GET students/{userIdentifier}/contracts/future/next?synchronizeUserData={synchronizeUserData}
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated user passes at least one of the following conditions: Authenticated user matches identifier given in "userIdentifier, studentIdentifier" uri parameter. Authenticated user is a staff member and is assigned to the same center as a user who matches identifier given in "userIdentifier, studentIdentifier" uri parameter. Authenticated user is a staff member and is assigned to the online center as a user who matches identifier given in "userIdentifier, studentIdentifier" uri parameter. Authenticated user matches identifier given in "userIdentifier, studentIdentifier" uri parameter.
- Authenticated user who is either StaffMember, Student
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
|
| synchronizeUserData | boolean |
Default value is True |
Body Parameters
None.
Response Information
Resource Description
PearsonEnglish.LearningServices.Wse.Models.NextFutureRegistrationModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| ContractId | string |
None. |
|
| EndDate | date |
None. |
|
| StartDate | date |
None. |
|
| ContractStatusLabel | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Id": "8cd64310-cad6-4ffd-bf08-4f82dcade181",
"ContractId": "sample string 2",
"EndDate": "2026-08-09T01:30:15.1905905+00:00",
"StartDate": "2026-08-09T01:30:15.1905905+00:00",
"ContractStatusLabel": "sample string 5"
}